CREATE TABLE contribs (
   id bigint(20) NOT NULL auto_increment,
   date date DEFAULT '0000-00-00' NOT NULL,
   contributor varchar(50) NOT NULL,
   topic_id bigint(20) NOT NULL,
   title varchar(70) NOT NULL,
   content text NOT NULL,
   url varchar(250) NOT NULL,
   status enum('new','added','dropped','postponed') DEFAULT 'new' NOT NULL,
   search varchar(250),
   group_id tinyint(4) NOT NULL,
   PRIMARY KEY (id),
   UNIQUE title (title),
   UNIQUE url (url)
);

CREATE TABLE groups (
   id tinyint(4) NOT NULL,
   topic_id tinyint(4) NOT NULL,
   title_g varchar(100) NOT NULL,
   KEY id (id),
   KEY topic_id (topic_id),
   PRIMARY KEY (id, topic_id)
);

CREATE TABLE links (
   id bigint(20) NOT NULL auto_increment,
   date date DEFAULT '0000-00-00' NOT NULL,
   contributor varchar(50) NOT NULL,
   moderator_id tinyint(4) NOT NULL,
   topic_id tinyint(4) NOT NULL,
   title varchar(70) NOT NULL,
   content text NOT NULL,
   url varchar(250) NOT NULL,
   hits bigint(20) NOT NULL,
   search varchar(250),
   group_id tinyint(4) NOT NULL,
   PRIMARY KEY (id),
   UNIQUE title (title),
   UNIQUE url (url)
);


CREATE TABLE message (
   id bigint(20) NOT NULL auto_increment,
   name varchar(50) NOT NULL,
   topic_id bigint(20) NOT NULL,
   url varchar(250) NOT NULL,
   message text NOT NULL,
   date date DEFAULT '0000-00-00' NOT NULL,
   ip varchar(20) NOT NULL,
   PRIMARY KEY (id)
);

CREATE TABLE moderators (
   id tinyint(4) NOT NULL auto_increment,
   login varchar(15) NOT NULL,
   password varchar(15) NOT NULL,
   name varchar(50) NOT NULL,
   email varchar(200) NOT NULL,
   active enum('true','false') DEFAULT 'true' NOT NULL,
   info varchar(100),
   PRIMARY KEY (id),
   UNIQUE login (login),
   UNIQUE name (name)
);

CREATE TABLE secure (
   mod_id tinyint(4) NOT NULL,
   top_id tinyint(4) NOT NULL,
   PRIMARY KEY (mod_id, top_id)
);

CREATE TABLE tmp (
   ip varchar(20) NOT NULL,
   date date DEFAULT '0000-00-00' NOT NULL,
   contributor varchar(50) NOT NULL,
   topic_id bigint(20) NOT NULL,
   title varchar(70) NOT NULL,
   content text NOT NULL,
   url varchar(250) NOT NULL,
   status enum('new','added','dropped','postponed') DEFAULT 'new' NOT NULL,
   search varchar(250),
   PRIMARY KEY (ip)
);

CREATE TABLE topics (
   id tinyint(4) NOT NULL auto_increment,
   title varchar(30) NOT NULL,
   PRIMARY KEY (id),
   UNIQUE title (title)
);


